

//
//
// Countdown 
// © Oscar Zander, www.time55.com
//
//


// Returnerar den text som skall var "standard-text".
function getStandardText()
{
return "Countdown to Christmas";
}


// Returnerar en array med antalet år, dagar, timmar,
// minuter och sekunder som är kvar till målet.
function getOutStringArray(year_left, day_left, 
hour_left, minute_left, second_left)
{
	// De olika variablerna.
	var year_string = ""; 
	var day_string = "";
	var hour_string = "";
	var minute_string = ""; 
	var second_string = ""; 
	
	
	// Testar om det skall var "year" eller "years". 
	// (Antalet år skall inte vara med om det är 0.) 
	//
	// Ändrar även positionerna för titeln, texten med nedräkningen och 
	// time55.com-länken, så att allt ser bra ut. 
	if(year_left <= 0)  {
	  document.getElementById("title").style.top = "10px";
    document.getElementById("time_position").style.bottom = "20px";
    document.getElementById("time55").style.bottom = "10px";
	}
	else if(year_left == 1)  {
		year_string = year_left + " year";
		
		document.getElementById("title").style.top = "5px";
		document.getElementById("time_position").style.bottom = "9px";
		document.getElementById("time55").style.bottom = "2px"
	}
	else {
		year_string = year_left + " years";
		
		document.getElementById("title").style.top = "5px";
		document.getElementById("time_position").style.bottom = "9px";
		document.getElementById("time55").style.bottom = "2px"
	}
	
	// Ser till att bilden med time55.com länken blir "avmarkerad".
	document.getElementById("time55").blur();
	
	// Gör på samma sätt med dagar, timmar, minuter och sekunder.
	if(day_left == 1)  {
		day_string = day_left + " day";
	}
	else {
		day_string = day_left + " days";
	}
	
	if(hour_left == 1)  {
		hour_string = hour_left + " hour";
	}
	else {
		hour_string = hour_left + " hours";
	}
	
	if(minute_left == 1)  {
		minute_string = minute_left + " minute";
	}
	else {
		minute_string = minute_left + " minutes";
	}
	
	if(second_left == 1)  {
		second_string = second_left + " second";
	}
	else {
		second_string = second_left + " seconds";
	}

	
	// Testar om nedräkningen är klar.
	if(year_left < 0 || day_left < 0 || hour_left < 0 
	|| minute_left < 0 || second_left < 0)  {
		// Nedräkningen är klar, ser till att allt blir 0.
		year_string = "";
		day_string = "0 days";
		hour_string = "0 hours"; 
		minute_string = "0 minutes"; 
		second_string = "0 seconds";
	}
	
	// Skapar en ny array.
	var time_string_array = new Array();
	time_string_array[0] = year_string;
	time_string_array[1] = day_string;
	time_string_array[2] = hour_string;
	time_string_array[3] = minute_string;
	time_string_array[4] = second_string;
	// Returnerar den skapade arrayen.
	return time_string_array;
}





